
import xmlrpclib
from zLOG import LOG

class OGoServer:
    """Handle xmlrpc connections."""

    def __init__(self,connection):
        """Return a connected xmlrpclib server object."""
        password = connection['rootpw']
        host     = connection['host']
        port     = connection['port']
        self.server = xmlrpclib.Server(
            'http://%s:%d/x/xmlrpc' % \
            (host,port), \
            login='root',password=password)

    def __call__(self):
        return self.server

